Subject: [mobile-ip] Re: About Home Address Option in Mobile IPv6

From: jinglin shi <[email-masked]>
Date: Thu, 30 May 2002 12:15:37 +0800

>
>I am now reading "draft-ietf-mobileip-ipv6-16.txt".
>
>My questions are as follows:
>1. Am I reading the latest draft?
>
>2.Is it necessary to have a Home Address Option, since the Binding Update
>Destination
>Option already has a Home Address field which gives the home address of the
>mobile node? It will be redundant for the Binding Update to include a Home
>Address Option, why there is the redundancy?

HA is needed, I think the FA is also needed. to some extent, you are right because we can find where the MN come from its home address field, but we need more info for services. 

>
>3.It is stated in section 5.1.6 of the draft that:
>
>"A Binding Update message to the correspondent node MUST NOT include the
>Home Address option in order to avoid reflection attacks..."  which
>contradicts the statement made in section 8.2 that:
>
>"Before accepting a Binding Update option received in any packet, the
>receiving node MUST validate the Binding Update according to the following
>tests:
>
>-...
>- The packet MUST contain a Home Address option.
>...."
>
>If both statements are true, according to them, all Binding Updates sent to
>the correspondent node (not including the home agent) will be discarded.
>What's wrong?
>
>Thanks!
>
>ZHANG Hongyuan
>
>--------------------------------------------------------------------
>IETF IPng Working Group Mailing List
>IPng Home Page:                      http://playground.sun.com/ipng
>FTP archive:                      ftp://playground.sun.com/pub/ipng
>Direct all administrative requests to [email-masked]
>--------------------------------------------------------------------
>
>.

= = = = = = = = = = = = = = = = = = = =

                    致
礼！
				 
               jinglin shi
               [email-masked]
					2002-05-30